#
# spec file for package fuse-zip
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fuse-zip
Version:        0.7.2+git.1733961742.3715770
Release:        1.1
Summary:        File System to Navigate, Extract, Create and Modify ZIP Archives
License:        GPL-3.0-or-later
Group:          System/Filesystems
URL:            https://bitbucket.org/agalanin/fuse-zip
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libzip) >= 0.11.2
BuildRequires:  pkgconfig(zlib)
BuildRequires:  tcl >= 8.6
BuildRequires:  tclx >= 8.4
# BuildRequires:  blt30 UNAVAILABLE IN OPENSUSE
BuildRequires:  tcllib
BuildRequires:  zip
BuildRequires:  unzip
BuildRequires:  fuse

Requires:       fuse

%description
With fuse-zip you really can work with ZIP archives as real directories.
Unlike KIO or Gnome VFS, it can be used in any application without
modifications.
Unlike other FUSE filesystems, only fuse-zip provides write support to
ZIP archives. Also, fuse-zip is faster that all known implementations on
large archives with many files.

%prep
%setup -q

%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}"

%install
%make_install prefix=%{_prefix} DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

%check
make %{?_smp_mflags} CXXFLAGS="%{optflags}" -C tests/whitebox test

%files
%license LICENSE
%doc changelog README.md
%{_bindir}/%{name}
%{_mandir}/man?/*

%changelog
* Sun Apr 20 2025 Matej Cepl <mcepl@cepl.eu>
- Update to version 0.7.2+git.1733961742.3715770:
  * README: change character case in headings, add reference to INSTALL file
  * fix setting read-only flag in DOS permissions field, add tests for permissions
  * fix st_nlink for directories
  * fix st_nlink for hardlinked files
  * add more license headers
  * add links to distributions and known uses
  * add editorconfig file
  * update tests for FUSE 2.9.9
  * update wiki suprepo
  * version 0.7.2
* Fri Apr  6 2018 lazy.kent@opensuse.org
- Update to 0.4.5.
  * Print error message and exit on nonexistent file in read-only
    mode.
  * Check return value of chdir().
  * Fixed errors found by static code analysis.
- Add BuildRequires: pkgconfig(bzip2).
- Changes in 0.4.3.
  * License changed to GPLv3 or later.
  * Support mknod() system call.
  * Fixed out of bounds write on sparse file.
  * Fixed timestamp and file attribute fields saving into archive.
* Wed Mar  2 2016 lazy.kent@opensuse.org
- Update to 0.4.2.
  * Added mkdir -p to enable custom "prefix".
  * Properly handle ZIP_SOURCE_SUPPORTS call introduced in libzip
    1.0.
- Drop fuse-zip-Makefile-prefix.patch: fixed upstream.
* Wed Feb  3 2016 lazy.kent@opensuse.org
- Update to 0.4.1.
  * Fixed problem with subdir module support.
  * Applied Makefile conventions from GNU Coding Standards.
- Drop fuse-zip-0.2.13-nostrip.patch: fixed upstream.
- Add fuse-zip-Makefile-prefix.patch: add mkdir -p to enable custom
  "prefix" location when running make install.
- Fix build dependensies: pkgconfig(libzip) >= 0.11.2.
- Update the URL tag.
* Wed Jan 15 2014 lazy.kent@opensuse.org
- Update to 0.4.0.
  * Symbolic links.
  * UNIX file permissions and owner info.
  * DOS file attributes.
  * Creation/access time.
* Mon Dec  9 2013 lazy.kent@opensuse.org
- Update to 0.3.2.
  * No changes for Linux users.
* Sat Dec  7 2013 lazy.kent@opensuse.org
- Update to 0.3.1.
  * Fixed compilation problems.
  * Fixed memory reservation.
- Drop fuse-zip-0.3.0-linker.patch (fixed upstream).
* Sat Jun 29 2013 lazy.kent@opensuse.org
- Update to 0.3.0.
  * ZIP64 support.
  * Relative and absolute paths support.
- BuildRequires libzip >= 0.11 (Zip64 support).
- Drop fuse-zip-0.2.13-libzip.patch and
  fuse-zip-0.2.13-libzip-0.10.patch (fixed upstream).
- Use pkgconfig(*) as build dependencies.
* Wed Aug 29 2012 lazy.kent@opensuse.org
- Add fuse-zip-0.2.13-libzip-0.10.patch: fix compilation against
  libzip-0.10.
* Mon Nov  7 2011 lazy.kent@opensuse.org
- Corrected License tag.
- Use full URL as a source.
- spec clean up.
* Mon Apr  4 2011 lazy.kent@opensuse.org
- patch to locate libzip header file
- added LICENSE to docs
* Mon Dec 27 2010 lazy.kent@opensuse.org
- update to 0.2.13
- nostrip patch refresh
- patch to fix "as-needed" issue
* Sun Sep 12 2010 lazy.kent.suse@gmail.com
- initial package created - 0.2.12
